Create a one-time Support payment intent
curl --request POST \
--url https://api.contactbutton.com/v1/public/apps/{app}/support/payment-intents \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"amount_minor": 50100,
"supporter_name": "<string>",
"supporter_message": "<string>",
"private": false
}
'import requests
url = "https://api.contactbutton.com/v1/public/apps/{app}/support/payment-intents"
payload = {
"amount_minor": 50100,
"supporter_name": "<string>",
"supporter_message": "<string>",
"private": False
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount_minor: 50100,
supporter_name: '<string>',
supporter_message: '<string>',
private: false
})
};
fetch('https://api.contactbutton.com/v1/public/apps/{app}/support/payment-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"meta": {
"request_id": "<string>",
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}Create a one-time Support payment intent
POST
/
public
/
apps
/
{app}
/
support
/
payment-intents
Create a one-time Support payment intent
Headers
Stable 8–120 character key for safe payment creation retries.
Required string length:
8 - 120Path Parameters
Body
application/json
Related topics
List Support app payments and fee reconciliationRollout and rollbackButtons, apps, and formsKnowledge listsSet up with a coding agentWas this page helpful?
⌘I